@import "./../../../../../scss/variables.scss";
@import "./../../../../../../node_modules/bulma/sass/utilities/_all.sass";

.tabs-container {
  display: flex;
  justify-content: space-evenly;

  @media screen and (min-width: $tablet) {
    display: block;
  }

  button {
    display: inline-block;
    padding-right: 2rem;
    padding-bottom: 0.3125rem;
    cursor: pointer;
    position: relative;
    margin-bottom: 1px;
    width: 100%;
    background-color: transparent;
    border: none;
    text-align: left;

    @media screen and (min-width: $tablet) {
      width: 6rem;
      padding-right: 3rem;
    }
  }

  button:last-child {
    padding-right: 0;
  }

  button > span {
    display: block;
  }

  .tab-label {
    font-size: 1rem;
    font-weight: 500;
    color: $brand-color;
  }

  button:hover, button:focus, button:active {
    .tab-label {
      font-weight: 600;
    }
  }

  .tab-count {
    font-size: 0.875rem;
    font-weight: 300;
    color: $grey-dark-color;
  }

  button.is-selected {
    .tab-label {
      color: var(--commune-color-var, $tomato-color);
      font-weight: 600;
    }
  }

  button.disabled {
    span {
      color: $grey-super-light-color;
    }
  }

  button::after {
    content: '';
    display: block;
    height: 2px;
    background: var(--commune-color-var, $tomato-color);
    width: 0;
    position: absolute;
    bottom: -2px;
  }

  button.is-selected::after {
    transition: width 0.3s;
    width: 100%;
  }
}
